Bug 1419069 - Capsule Repo isn't auto publishing after syncing after upgrade
Summary: Capsule Repo isn't auto publishing after syncing after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1418747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 15:14 UTC by Justin Sherrill
Modified: 2017-09-13 18:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418747
Environment:
Last Closed: 2017-09-13 18:12:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Justin Sherrill 2017-02-03 15:26:41 UTC
Workaround:

1.  Create a new lifecycle environment
2.  Promote some content view (with at least one repo) to it
3.  Take your capsule and remove all lifecycle environments, assign it to the new one in 1)
4.  Sync the capsule. 
5.  When the sync is complete, re-assign the capsule to the lifecycle environments you care about.
6.  Remove the content view version from the lifecycle environment you created in 1) and then delete the lifecycle environment

Comment 3 Justin Sherrill 2017-02-06 17:21:53 UTC
Note this will be solved by the same fix as https://bugzilla.redhat.com/show_bug.cgi?id=1418747

Comment 4 Bryan Kearney 2017-09-13 18:12:53 UTC
Based on Comment 3, I am closing this out as current release as it should be been fixed as of 6.2.8. If you are still seeing this after 6.2.8 please feel free to re-open.


Note You need to log in before you can comment on or make changes to this bug.